Summary
Save a Generated Form
Description
Save a generated form with its data.
Route
POST /formbuilder/saveForm
Roles
admin
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| formData |
object |
yes |
Form data to be saved. |
Copied to Clipboard
{
"formData": {
"name": "Form 123",
"children": [
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
}
],
"elements": [
{
"type": "method",
"id": {
"name": "method_name_1"
}
}
],
"_id": "35d6c604-30d8-b439-c6fa-04b5c7872f13",
"groups": [
"55208ab63aa41e793c8c1a6d"
],
"created": "1953-04-28T05:01:55.128Z",
"created_by": "9e9148a369f957409f26fa17",
"last_updated": "2012-07-18T09:53:20.438Z",
"last_updated_by": "a62760637b22f4e380bf55cf"
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"formData": {
"title": "formData",
"$ref": "formDocument"
}
},
"required": [
"formData"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| reply |
object |
Status of save form |
Copied to Clipboard
{
"name": "Form 123",
"children": [
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
}
],
"elements": [
{
"type": "method",
"id": {
"name": "method_name_1"
}
}
],
"_id": "b536cafb-8444-e710-c4e4-d8326e302bee",
"groups": [
"54f7ebbd4c1ddea68c1fbef9",
"d8420c35b256713ce8eba758",
"c2478d7f5779b3fe72300331"
],
"created": "2014-07-23T05:48:16.599Z",
"created_by": "9c639505416496aa3217d8bd",
"last_updated": "1947-02-27T05:17:00.527Z",
"last_updated_by": "1360c7db72edb2d4feca3f40"
}